openapi: "3.0.0"
info:
  version: 4.0.15
  title: vectorizer.io
servers:
  - url: https://api.vectorizer.io/v4.0/

components:
  securitySchemes:
    CreditsCodeAuth:
      type: apiKey
      in: header
      name: X-CREDITS-CODE
      description: "Successful calls to API endpoints are charged with one credit from the specified credits code. If an error occurs during an API call no credit will be charged."
  

security:
  - CreditsCodeAuth: []
  
paths:
 
  /vectorize:
    post:
      security:
        - CreditsCodeAuth: []
        
      summary: "Main vectorization endpoint to covert raster images to scalable vector graphics. Upload input image, start vectorization process, keep connection alive until vectorization is completed and download generated output file in specified output file format. Completion time depends on input image size, number of colors and structure but should never exceed 59 seconds." 
      
      operationId: vectorize

      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
              
                image:
                  type: string
                  format: binary
                  description: "Input image binary. Use PNG file format for best compatibility. Try to avoid uploading files larger than 1MB (max. 10MB) to prevent timeouts."
                  
                format:
                  type: string
                  enum: [svg, eps, png]
                  default: "svg"
                  description: "Supported output file formats: <ul><li><b>svg</b> = Scalable Vector Graphics (default)</li><li><b>eps</b> = Encapsulated Postscript</li><li><b>png</b> = PNG (raster image)</li></ul> Contact us if you need other output file formats."
                  
                colors:
                  type: number
                  minimum: 0
                  maximum: 99
                  default: 0
                  description: "Maximum number of colors used to generated the output. A value of <strong>0</strong> is automatic mode."

                model:
                  type: string
                  enum: [auto, clipart, photo, sketch, drawing]
                  default: "auto"
                
                algorithm:
                  type: string
                  enum: [auto, overlap, overlaplow, overlapmid, overlaphigh, overlapfull, nooverlap, single, strokesingle, contour, centerline, border]
                  default: "auto"
                  description: "<ul><li><strong>auto</strong> automatic algorithm detection</li><li>Filled Layers:<ul><li><strong>overlap, overlaplow, overlapmid, overlaphigh, overlapfull</strong></li><li><strong>nooverlap</strong></li></li><li><strong>single</strong></li></ul></li><li>Stroked Layers:<ul><li><strong>strokesingle</strong></li><li><strong>contour</strong></li><li><strong>centerline</strong></li><li><strong>border</strong></li></ul></li></ul>"

                details:
                  type: string
                  enum: [auto, min, low, mid, high, max]
                  default: "auto"
                  description: "Other values than <b>auto</b> reduce the detail level in the input image to cluster similar pixels to larger areas. (Only relevant for model: <b>photo</b>, <b>sketch</b> and <b>clipart</b>)"

                antialiasing:
                  type: string
                  enum: [auto, smart, min, low, mid, high, max, off]
                  default: "off"
                
                minarea:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 1000000
                  description: "Minimum area of output shapes in px^2."

                colormergefactor:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 100
                  description: "Color merge factor in percent. Merges similar output colors to a color group."

                unit:
                  type: string
                  enum: [auto, none, px, inch, mm]
                  default: "auto"
                  description: "Unit for the width/height for the output file. (Only relevant for SVG output format)"

                width:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Other values define the width of the vectorized result in the specified unit. Height will be calculated by ratio of input image (or a specified height value is used)."

                height:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Other values define the height of the vectorized result in the specified unit. Width will be calculated by ratio of input image (or a specified width value is used)."

                transparency-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Transparency threshold value. All pixels with a transpareny level below this threshold will be threated as full transparent. If <i>transparency-color</i> is set to a RGB color code, then transparent pixels with be replaced with specified non-transparent color."
                
                transparency-color:
                    type: string
                    pattern: "^transparent|([A-Fa-f0-9]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>transparent</b>: keep transparent pixels transparent</li><li><b>000000</b> replace transparent pixels using black color</li><li><b>FF0000</b> replace transparent pixels using red color</li></ul>"   
             
                background-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Background threshold value. Use a value of 1 to remove background pixels which are the same color as the configured <i>background-color</i>. Use higher values to remove pixels with similar colors."
                
                background-color:
                    type: string
                    pattern: "^auto|([A-Fa-f0-9]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>auto</b>: detect background color automatically</li><li><b>000000</b> black background color</li><li><b>FF0000</b> red background color</li></ul>"                
                                
                roundness:
                    type: string
                    enum: [off, low, default, high, max]
                    default: default
                    description: "(optional) Roundness of generated vector shapes."
 
                filter-steps-removal:
                    type: string
                    enum: [default, off, half, third, quarter, fifth]
                    default: default
                    description: "(optional) Steps removal filter."
 
                palette:
                  type: string
                  format: binary
                  description: "(optional) Import your palette as an <strong>.ASE</strong> (RGB color space) or <strong>.PAL</strong> file to vectorize images using <strong>ONLY</strong> colors from your chosen palette." 
                
              required:
                - image
               
            encoding:
              image:
                contentType: application/octet-stream
              
      # Use the HTTP status code of the response to implement your error handling. The HTTP body of the response is only for debugging purposes and can change without a version change.
      responses:
        '200':
          description: "Output format depends on <b>format</b> argument."
          headers:
            X-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Number of available credits before starting the vectorization operation. This number does not include the one credit that will be charged for a successful download. [this header requires authentication using X-CREDITS-CODE header]"
            X-CREDITS-EXPIRE:
              schema:
                type: string
              description: "Credits valid until this date (RFC7231 format). [this header requires authentication using X-CREDITS-CODE header]"
            X-FREE-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Free credits available. [this header is only available if not authenticated using X-CREDITS-CODE header]"
            X-HREF:
              schema:
                type: string
              description: "Direct URL to the image's edit interface."
          content:
            # Content type for SVG
            image/svg+xml:
              schema:
                type: string
            # Content type of EPS
            application/postscript:
              schema:
                type: string
                format: binary
            image/png:
              schema:
                type: string
                format: binary

        '500':
          description: "Error: Internal Server Error."
          content:
            text/plain:
              schema:
                type: string 
        '402':
          description: "Error: Payment required."
          content:
            text/plain:
              schema:
                type: string                 
        '413':
          description: "Error: Payload too large. (max. 10MB)"
          content:
            text/plain:
              schema:
                type: string 
        '429':
          description: "Error: Too many requests (See Menu / API Settings / API Access Limits for configured api limits for your account)"
          content:
            text/plain:
              schema:
                type: string 
        '504':
          description: "Error: Gateway Timeout"
          content:
            text/plain:
              schema:
                type: string 

               
  /paintbynumbers:
    post:
      security:
        - CreditsCodeAuth: []
        
      summary: "Vectorization endpoint for paint-by-number images. Completion time depends on input image size, number of colors and structure but should never exceed 59 seconds." 
      
      operationId: paintbynumbers

      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
              
                image:
                  type: string
                  format: binary
                  description: "Input image binary. Use PNG file format for best compatibility. Try to avoid uploading files larger than 1MB (max. 10MB) to prevent timeouts."

                output:
                  type: string
                  enum: [color,contour,bundle]
                  default: "contour"
                  description: "<ul><li><b>color</b>: vectorization result with colors and numbers</li><li><b>contour</b>: vectorization result with only the contour lines and numbers (default)</li><li><b>bundle</b>: vectorization results in different file formats in ZIP file archive (same as interactive version of the website) (parameter 'format' is ignored for this option)</li></ul>"

                format:
                  type: string
                  enum: [svg, png]
                  default: "svg"
                  description: "Supported output file formats: <ul><li><b>svg</b> = SVG (default)</li><li><b>png</b> = PNG</li></ul>. Contact us if you need other output file formats."

                fontsize:
                  type: integer
                  minimum: 0
                  maximum: 100
                  default: 60
                  description: "Maximum font size for the labels representing the color numbers. The default value of <strong>60</strong> might be too large for your use case, then use a smaller value like <strong>12</strong>."
                  
                colors:
                  type: number
                  minimum: 1
                  maximum: 99
                  default: 32
                  description: "Maximum number of colors used to generated the output. (Recommended: 24, 36, 50)"

                model:
                  type: string
                  enum: [auto, clipart, photo, sketch, drawing]
                  default: "auto"
                
                noisereduction:
                  type: string
                  enum: [off, low, high]
                  default: "off"
                  description: "Noise reduction level to improve input image quality. (Use <b>off</b> for most use cases, because other values can add 10-30 seconds of processing time)"
                  
                details:
                  type: string
                  enum: [auto, min, low, mid, high, max]
                  default: "max"
                  description: "Other values than <b>auto</b> reduce the detail level in the input image to cluster similar pixels to larger areas. (Only relevant for model: <b>photo</b>, <b>sketch</b> and <b>clipart</b>)"

                antialiasing:
                  type: string
                  enum: [auto, smart, min, low, mid, high, max, off]
                  default: "off"

                minarea:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 1000000
                  description: "Minimum area of output shapes in px^2."

                colormergefactor:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 100
                  description: "Color merge factor in percent. Merges similar output colors to a color group."

                minradius:
                  type: number
                  format: float
                  default: 1.5
                  minimum: 0
                  maximum: 8.0
                  description: "Minimum incircle radius in <strong>mm</strong> for output shapes. Too remove 'small' non-paintable areas select a higher value. (The radius is related to output width/height in mm)"

                unit:
                  type: string
                  enum: [auto, none, px, inch, mm]
                  default: "mm"
                  description: "Unit for the width/height for the output file."

                width:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Specify '500' for 50cm. Other values define the width of the vectorized result in the specified unit. Height will be calculated by ratio of input image (or a specified height value is used)."

                height:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Specify '400' for 40cm. Other values define the height of the vectorized result in the specified unit. Width will be calculated by ratio of input image (or a specified width value is used)."
       

                transparency-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Transparency threshold value. All pixels with a transpareny level below this threshold will be threated as full transparent. If <i>transparency-color</i> is set to a RGB color code, then transparent pixels with be replaced with specified non-transparent color."
                
                transparency-color:
                    type: string
                    pattern: "^transparent|([A-F0-9a-f]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>transparent</b>: keep transparent pixels transparent</li><li><b>000000</b> replace transparent pixels using black color</li><li><b>FF0000</b> replace transparent pixels using red color</li></ul>"                

                background-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Background threshold value. Use a value of 1 to remove background pixels which are the same color as the configured <i>background-color</i>. Use higher values to remove pixels with similar colors."
                
                background-color:
                    type: string
                    pattern: "^auto|([A-Fa-f0-9]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>auto</b>: detect background color automatically</li><li><b>000000</b> black background color</li><li><b>FF0000</b> red background color</li></ul>"                
                
                facedetect:
                  type: string
                  enum: [auto, off, on]
                  default: "auto"
                  description: "By default the position of faces are detected to improve the detail level of faces. This may produce color patches which are too small to paint, in this case a value of <b>off</b> disables face detection."        

                roundness:
                    type: string
                    enum: [off, low, default, high, max]
                    default: default
                    description: "(optional) Roundness of generated vector shapes."

                filter-steps-removal:
                    type: string
                    enum: [default, off, half, third, quarter, fifth]
                    default: default
                    description: "(optional) Steps removal filter."

                palette:
                  type: string
                  format: binary
                  description: "(optional) Import your palette as an <strong>.ASE</strong> (RGB color space) or <strong>.PAL</strong> file to vectorize images using <strong>ONLY</strong> colors from your chosen palette." 
                
              required:
                - image
               
            encoding:
              image:
                contentType: application/octet-stream
              
      # Use the HTTP status code of the response to implement your error handling. The HTTP body of the response is only for debugging purposes and can change without a version change.
      responses:
        '200':
          description: "Output format depends on <b>format</b> argument."
          headers:
            X-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Number of available credits before starting the vectorization operation. This number does not include the one credit that will be charged for a successful download. [this header requires authentication using X-CREDITS-CODE header]"
            X-CREDITS-EXPIRE:
              schema:
                type: string
              description: "Credits valid until this date (RFC7231 format). [this header requires authentication using X-CREDITS-CODE header]"
            X-FREE-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Free credits available. [this header is only available if not authenticated using X-CREDITS-CODE header]"
            X-COLORCODES:
              schema:
                type: string
              description: "Hex RGB colors codes of vectorization result. First entry has the label '1' in the vector result. (Colors are SPACE separated values of [0-9A-F]{6}): example: '0000FF 00FF00 FF0000'"
            X-COLORAREAS:
              schema:
                type: string
              description: "Area used by each color in the vectorization result in percent 0 - 100. First entry has the label '1' in the vector result. (Areas are SPACE separated values of decimal percent values): example: '52 0.05 12.5'"
            X-HREF:
              schema:
                type: string
              description: "Direct URL to the image's edit interface."              
          content:
            image/svg+xml:
              schema:
                type: string
            image/png:
              schema:
                type: string
                format: binary

        '500':
          description: "Error: Internal Server Error."
          content:
            text/plain:
              schema:
                type: string 
        '402':
          description: "Error: Payment required."
          content:
            text/plain:
              schema:
                type: string                 
        '413':
          description: "Error: Payload too large. (max. 10MB)"
          content:
            text/plain:
              schema:
                type: string 
        '429':
          description: "Error: Too many requests (See Menu / API Settings / API Access Limits for configured api limits for your account)"
          content:
            text/plain:
              schema:
                type: string 
        '504':
          description: "Error: Gateway Timeout"
          content:
            text/plain:
              schema:
                type: string 


  /vectorize#advanced:
    post:
      security:
        - CreditsCodeAuth: []
        
      summary: "Advanced vectorization endpoint to covert raster images to scalable vector graphics. (Fragmentation part of url not required). Completion time depends on input image size, number of colors and structure but should never exceed 59 seconds." 
      
      operationId: vectorizeadvanced

      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
              
                image:
                  type: string
                  format: binary
                  description: "Input image binary. Use PNG file format for best compatibility. Try to avoid uploading files larger than 1MB (max. 10MB) to prevent timeouts."
                
                config:
                  type: string
                  format: binary
                  description: "Advanced configuration in YAML format. <br /> Example configuration: <a href='/api/v4/advanced-config-yaml-example-v4.0.7.yaml'>advanced-config-yaml-example-v4.0.7.yaml</a>."

                palette:
                  type: string
                  format: binary
                  description: "(optional) Import your palette as an <strong>.ASE</strong> (RGB color space) or <strong>.PAL</strong> file to vectorize images using <strong>ONLY</strong> colors from your chosen palette." 
                
              required:
                - image
                - config
               
            encoding:
              image:
                contentType: application/octet-stream
              
      # Use the HTTP status code of the response to implement your error handling. The HTTP body of the response is only for debugging purposes and can change without a version change.
      responses:
        '200':
          description: "Output format depends on <b>format</b> argument."
          headers:
            X-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Number of available credits before starting the vectorization operation. This number does not include the one credit that will be charged for a successful download. [this header requires authentication using X-CREDITS-CODE header]"
            X-CREDITS-EXPIRE:
              schema:
                type: string
              description: "Credits valid until this date (RFC7231 format). [this header requires authentication using X-CREDITS-CODE header]"
            X-FREE-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Free credits available. [this header is only available if not authenticated using X-CREDITS-CODE header]"
            X-HREF:
              schema:
                type: string
              description: "Direct URL to the image's edit interface."              
          content:
            # Content type for SVG
            image/svg+xml:
              schema:
                type: string
            # Content type of EPS
            application/postscript:
              schema:
                type: string
                format: binary
            image/png:
              schema:
                type: string
                format: binary

        '500':
          description: "Error: Internal Server Error."
          content:
            text/plain:
              schema:
                type: string 
        '402':
          description: "Error: Payment required."
          content:
            text/plain:
              schema:
                type: string                 
        '413':
          description: "Error: Payload too large. (max. 10MB)"
          content:
            text/plain:
              schema:
                type: string 
        '429':
          description: "Error: Too many requests (See Menu / API Settings / API Access Limits for configured api limits for your account)"
          content:
            text/plain:
              schema:
                type: string 
        '504':
          description: "Error: Gateway Timeout"
          content:
            text/plain:
              schema:
                type: string 


  /diamondpainting:
    post:
      security:
        - CreditsCodeAuth: []
        
      summary: "Vectorization endpoint for diamond painting images. Completion time depends on input image size, number of colors and structure but should never exceed 59 seconds." 
      
      operationId: diamondpainting

      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
              
                image:
                  type: string
                  format: binary
                  description: "Input image binary. Use PNG file format for best compatibility. Try to avoid uploading files larger than 1MB (max. 10MB) to prevent timeouts."

                output:
                  type: string
                  enum: [bundle]
                  default: "bundle"
                  description: ""

                colors:
                  type: number
                  minimum: 1
                  maximum: 99
                  default: 32
                  description: "Maximum number of colors used to generated the output. (Recommended: 24, 36, 50)"

                model:
                  type: string
                  enum: [auto, clipart, photo, sketch, drawing]
                  default: "auto"
                
                noisereduction:
                  type: string
                  enum: [off, low, high]
                  default: "off"
                  description: "Noise reduction level to improve input image quality. (Use <b>off</b> for most use cases, because other values can add 10-30 seconds of processing time)"
                  
                details:
                  type: string
                  enum: [auto, min, low, mid, high, max]
                  default: "max"
                  description: "Other values than <b>auto</b> reduce the detail level in the input image to cluster similar pixels to larger areas. (Only relevant for model: <b>photo</b>, <b>sketch</b> and <b>clipart</b>)"

                minarea:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 1000000
                  description: "Minimum area of output shapes in px^2."

                colormergefactor:
                  type: integer
                  default: 5
                  minimum: 0
                  maximum: 100
                  description: "Color merge factor in percent. Merges similar output colors to a color group."

                minradius:
                  type: number
                  format: float
                  default: 1.5
                  minimum: 0
                  maximum: 8.0
                  description: "Minimum incircle radius in <strong>mm</strong> for output shapes. Too remove 'small' non-paintable areas select a higher value. (The radius is related to output width/height in mm)"

                unit:
                  type: string
                  enum: [auto, none, px, inch, mm]
                  default: "mm"
                  description: "Unit for the width/height for the output file."

                width:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Specify '500' for 50cm. Other values define the width of the vectorized result in the specified unit. Height will be calculated by ratio of input image (or a specified height value is used)."

                height:
                  type: number
                  format: float
                  default: 0
                  minimum: 0
                  maximum: 1000000
                  description: "A value of <b>0</b> is the default value. Specify '400' for 40cm. Other values define the height of the vectorized result in the specified unit. Width will be calculated by ratio of input image (or a specified width value is used)."
       

                transparency-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Transparency threshold value. All pixels with a transpareny level below this threshold will be threated as full transparent. If <i>transparency-color</i> is set to a RGB color code, then transparent pixels with be replaced with specified non-transparent color."
                
                transparency-color:
                    type: string
                    pattern: "^transparent|([A-F0-9a-f]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>transparent</b>: keep transparent pixels transparent</li><li><b>000000</b> replace transparent pixels using black color</li><li><b>FF0000</b> replace transparent pixels using red color</li></ul>"                

                background-threshold:
                    type: number
                    default: 0
                    minimum: 0
                    maximum: 255
                    description: "(optional) For default behavior omit this parameter or set to value 0. <br /> Background threshold value. Use a value of 1 to remove background pixels which are the same color as the configured <i>background-color</i>. Use higher values to remove pixels with similar colors."
                
                background-color:
                    type: string
                    pattern: "^auto|([A-Fa-f0-9]{6})$"
                    default: ""
                    description: "(optional) For default behavior omit this parameter or set to empty string. <br /><ul><li><b>auto</b>: detect background color automatically</li><li><b>000000</b> black background color</li><li><b>FF0000</b> red background color</li></ul>"                
                
                roundness:
                    type: string
                    enum: [off, low, default, high, max]
                    default: "default"
                    description: "(optional) Roundness of generated vector shapes."

                filter-steps-removal:
                    type: string
                    enum: [default, off, half, third, quarter, fifth]
                    default: default
                    description: "(optional) Steps removal filter."

                diamonds:
                    type: string
                    enum: [square25,round28]
                    default: "square25"
                    description: "(optional) Diamond type: <ul><li><b>square25</b>:<br />25mm * 25mm (square)</li><li><b>round28</b>:<br /> 28mm (round)</li></ul>"

                palette:
                  type: string
                  format: binary
                  description: "(optional) Import your palette as an <strong>.ASE</strong> (RGB color space) or <strong>.PAL</strong> file to vectorize images using <strong>ONLY</strong> colors from your chosen palette." 
                  
              required:
                - image
               
            encoding:
              image:
                contentType: application/octet-stream
              
      # Use the HTTP status code of the response to implement your error handling. The HTTP body of the response is only for debugging purposes and can change without a version change.
      responses:
        '200':
          description: "Output format depends on <b>format</b> argument."
          headers:
            X-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Number of available credits before starting the vectorization operation. This number does not include the one credit that will be charged for a successful download. [this header requires authentication using X-CREDITS-CODE header]"
            X-CREDITS-EXPIRE:
              schema:
                type: string
              description: "Credits valid until this date (RFC7231 format). [this header requires authentication using X-CREDITS-CODE header]"
            X-FREE-CREDITS-AVAILABLE:
              schema:
                type: integer
              description: "Free credits available. [this header is only available if not authenticated using X-CREDITS-CODE header]"
            X-COLORCODES:
              schema:
                type: string
              description: "Hex RGB colors codes of vectorization result. First entry has the label '1' in the vector result. (Colors are SPACE separated values of [0-9A-F]{6}): example: '0000FF 00FF00 FF0000'"
            X-COLORAREAS:
              schema:
                type: string
              description: "Area used by each color in the vectorization result in percent 0 - 100. First entry has the label '1' in the vector result. (Areas are SPACE separated values of decimal percent values): example: '52 0.05 12.5'"
            X-HREF:
              schema:
                type: string
              description: "Direct URL to the image's edit interface."              
          content:
            image/svg+xml:
              schema:
                type: string
            image/png:
              schema:
                type: string
                format: binary

        '500':
          description: "Error: Internal Server Error."
          content:
            text/plain:
              schema:
                type: string 
        '402':
          description: "Error: Payment required."
          content:
            text/plain:
              schema:
                type: string                 
        '413':
          description: "Error: Payload too large. (max. 10MB)"
          content:
            text/plain:
              schema:
                type: string 
        '429':
          description: "Error: Too many requests (See Menu / API Settings / API Access Limits for configured api limits for your account)"
          content:
            text/plain:
              schema:
                type: string 
        '504':
          description: "Error: Gateway Timeout"
          content:
            text/plain:
              schema:
                type: string 
